#ifndef __VIDEOFRAMEPROVIDER_H__
#define __VIDEOFRAMEPROVIDER_H__

#include <QQuickImageProvider>

class VideoFrameProvider : public QQuickImageProvider {
public:
    VideoFrameProvider();
    QImage requestImage(const QString &id, QSize *size, const QSize &requestedSize) final;
    void setImage(const QImage &image);
    void reset();

private:
    QImage m_image;
};
#endif // __VIDEOFRAMEPROVIDER_H__
